.flo {
  display: flex;
  flex-wrap: wrap;
}

.flo-inline {
  display: inline-flex;
}

.flo > *, .flo-inline > * {
  flex: 1;
  flex-basis: auto;
}

.flo-row {
  flex-direction: row;
}

.flo-row-r {
  flex-direction: row-reverse;
}

.flo-justify-sb {
  justify-content: space-between;
}

.flo-col {
  flex-direction: column;
}

.flo-noshrink > * {
  flex-shrink: 0;
}

.flo-nogrow > * {
  flex-grow: 0;
}

.fli {
  flex: 1
}

.fli-no {
  flex: 0;
}

.fli-nogrow {
  flex-grow: 0;
}

.fli-grow {
  flex-grow: 1;
}

.fli-noshrink {
  flex-shrink: 0;
}